Type to search.

Reset 'elastic' user password

Base URL
https://api.elastic-cloud.com/api/v1
No auth

Resets the password of the 'elastic' user.

Path parameters

deployment_id string required

Identifier for the Deployment.

ref_id string required

User-specified RefId for the Resource (or '_main' if there is only one).

Query parameters

check_completion boolean · default: false

If true, will not reset elastic user password and instead will return a status code signaling whether or not the current credentials are ready to use (eg from creation or the last call to _reset_password)

Responses

The password reset was out carried successfully

application/json
username string required

The username for the newly-reset password for the given Elasticsearch cluster

password string required

The newly-reset password for the given Elasticsearch cluster